$(document).ready(function(){
	var tbTitle=$("#tbTitle");
	var btnOk=$("#btnOk");	
	///////////////////////////////////////
	tbTitle.keyup(function(){
		var tbTitleVal=tbTitle.val();
		if(tbTitleVal!="")
		{
			tbTitle.removeClass();
			tbTitle.addClass("tskInputBox");	
		}
	});
	
	tbTitle.blur(function(){
		var tbTitleVal=tbTitle.val();
		tbTitle.data("value",tbTitleVal);
		if(tbTitleVal!="")
		{
			if(tbTitleVal.length>50)
			{
				tbTitle.addClass("tskInputError");
				tbTitle.val("标题太长，不能超过50个字！");				
			}
			else
			{				
				tbTitle.removeClass();
				tbTitle.addClass("tskInputBox");	
			}
		}
		else
		{
			tbTitle.addClass("tskInputError");
			tbTitle.val("标题不能为空！");
		}		
	});
	tbTitle.focus(function(){
		tbTitle.val(tbTitle.data("value"));
	});
	//////////////////////////////////////////////////////
	
	
	
	
	//////++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	btnOk.click(function(){
		var tbTitleVal=tbTitle.val();
		if(tbTitleVal=="")
		{
			tbTitle.addClass("tskInputError");
			tbTitle.val("标题不能为空！");
			return false;
		}
		else
		{
			if(tbTitleVal.length>50)
			{
				tbTitle.addClass("tskInputError");
				tbTitle.val("标题太长，不能超过50个字！");
				return false;				
			}
		}
		//////------------------------------------------------------
		
		
	});	
});
